# Retrieve a project by id Retrieve a project by id Endpoint: GET /projects/{id} Version: 2.51.0 Security: OAuth2 ## Path parameters: - `id` (string, required) Project id Example: "63e6663823b4c1f5287398bb" ## Response 200 fields (application/json): - `id` (string, required) Project ID Example: "63e6663823b4c1f5287398bb" - `createdAt` (string, required) Example: "1990-12-31T15:46:19.384990Z" - `createdBy` (string, required) Project member id Example: "63e6663823b4c1f5287398bb" - `updatedAt` (string, required) Example: "1990-12-31T15:46:19.384990Z" - `updatedBy` (string, required) Project member id Example: "63e6663823b4c1f5287398bb" - `name` (string, required) Project name Example: "My Project" - `note` (string) Project note Example: "My project description note" - `extractionModelId` (string, required) Extraction Model id Example: "63e6663823b4c1f5287398bb" - `ocr` (any, required) - `completion` (string, required) ProjectCompletion type * automatic - Mark documents as completed after succesfull validation * manual - Mark documents to review after succesfull validation Enum: "automatic", "manual" - `duplicates` (string, required) How duplicates documents show be handle * allow - Allow documents duplicates to be processed * fail - Mark documents duplicates as failed Enum: "allow", "fail" - `members` (any, required) - `retentionDays` (integer) Project document retention in days Example: 180 - `isLive` (boolean, required) Indicates if a project is live or not ## Response 401 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 403 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error